{% extends 'base.html' %}

{% block title %}
    Home
{% endblock %}

{% block content %}

    <h1 class="text-center my-3">
        Welcome {{user.first_name}} {{user.last_name}}!
    </h1>

    {% if user.is_anonymous == False %}
        <div class="container">

            <div class="row">

                <h3 class="text-center mb-3">
                    My Tasks
                </h3>

                {% if not todoitem_list %}
                    <p class="text-center my-3">No tasks have been created.</p>
                {% else %}
                    <ul class="list-group col-lg-2 offset-lg-5 text-center">
                        {% for todoitem in todoitem_list %}
                            <a href="{% url 'todolist:viewtodoitem' todoitem.id %}" class="text-decoration-none">
                                <li class="list-group-item">
                                    {{ todoitem.task_name }}
                                </li>
                            </a>
                        {% endfor %}
                    </ul>
                {% endif %}
                

            </div>

            <div class="row">

                <h3 class="text-center mb-3">
                    My Events
                </h3>

                
                {% if not eventitem_list %}
                    <p class="text-center my-3">No tasks have been created.</p>
                {% else %}
                    <ul class="list-group col-lg-2 offset-lg-5 text-center">
                        {% for eventitem in eventitem_list %}
                            <a href="{% url 'todolist:vieweventitem' eventitem.id %}" 
                            class="text-decoration-none">
                                <li class="list-group-item">
                                    {{ eventitem.event_name }}
                                </li>
                            </a>
                        {% endfor %}
                    </ul>
                {% endif %}


                <!-- {% if eventitem_list == False %}
                    <p class="text-center my-3">No tasks have been created.</p>
                {% endif %} -->
            
            </div>

        </div>

    {% elif user.is_anonymous == True %}
        <h1 class="text-center my-3">You are not authorized to access this page.</h1>
        <p class="text-center">Kindly login <a href="login">here</a></p>
    {% else %}
        <p  class="text-center my-3">No tasks have been created.</p>
    {% endif %}
    
{% endblock %}